-1

I have bitcoin client 0.6.0.6 (no longer supported!):

  1. I did not upgrade on May15.

  2. My current client will not synchronize past 85%.

    no luck with, DB_CONFIG set_lk_max_locks 537000

  3. I am in the process of trying to send coins, transaction remains unconfirmed

How should I best proceed?

I am concerned about upgrading to new client without the current being fully synchronized. What are the issues?

Also, I have an unconfirmed transaction looming. This transaction are coins being sent, not receiving coins.

I am somewhat frustrated; wish I had known about the May15/synch/upgrade issues before send transaction. Perhaps that is confounding the synch somehow? Anyhow, what is the best way to proceed?

Best and thanks in advance

  • Tried upgrading to the most recent version? – Nick ODell Jun 24 '13 at 16:34
  • No, want to check that upgrade is not a problem, given current client is not fully synched and there is an unconfirmed transaction (send coins). If I upgrade, then the new client should synch and detect my current wallet without any known issues? this is what I am trying to clarify. (sorry if these issues are independent/without effect on an upgrade) – syntax Jun 24 '13 at 16:59
  • // , This looks sort of like a request for tech. support. Maybe try the forums? – Nathan Basanese Sep 6 '15 at 18:40
0

As of June 24th 2013, There has not actually been a fork after the May 15th changes. That means that 0.6.0.6 should actually still work (though you shouldn't rely on that). This means that the fact that your client doesn't synchronize is caused by another issue, most likely a corrupted block chain database.

In case you didn't do things like copying wallets / using them from different locations (which you shouldn't), there should not really be a problem. Just upgrade, and you should get in sync, and the client will see (or try to get) the transaction confirmed.

Upgrading will take a while to 0.8.x, because of the new database layout, though. As a practical upshot, that also means the corrupted database won't matter. Oh, and make sure you have a wallet backup, and shutdown your client cleanly before upgrading.

  • thanks. ill give it a try tonight and report back for anyone with similar concerns – syntax Jun 24 '13 at 17:49

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.